lariza-usage(1)

# NAME
lariza-usage - extended usage hints

# DESCRIPTION
*lariza* is a simple web browser using GTK+ 3, GLib and WebKit2GTK+. This
manpage contains additional hints and pointers regarding its usage.

# KEYBINDINGS AND CONFIGURATION
For this information, please refer to *lariza-configuration*(1).

# DOWNLOAD MANAGER
Open the download manager using the appropriate hotkey. A new window listing
your downloads will appear. Clicking on an item will remove it from the list and
**if needed** cancel the download.

There's no file manager integration, nor does *lariza* delete, overwrite or
resume downloads. If a file already exists, it won't be touched. Instead, the
new file name will have a suffix such as *.1*, *.2*, *.3*, and so on.

# USER-SUPPLIED JAVASCRIPT FILES
After a page has been successfully loaded, the directory
_~/.local/share/lariza/user-scripts_ will be scanned and each file in it ending
with *.js* will be run as a JavaScript file in the context of said page.

*lariza* comes with the following scripts:

*hints.js*
	Press *f* (open link in current window) or *F* (open in new window) to
	activate link hints. After typing the characters for one of them, press
	*Enter* to confirm. Press *Escape* to abort.

*privacy-redirect.js*
	Redirects YouTube, Reddit, etc to privacy respecting alternatives.

*darkreader.js*
	See https://darkreader.org.

Those bundled scripts are automatically installed on *make install*. To use
them, though, make sure to link them to the directory mentioned above.

# WEB EXTENSIONS
On startup, WebKit checks _~/.local/share/lariza/web_extensions_ for any *.so*
files. See
<http://blogs.igalia.com/carlosgc/2013/09/10/webkit2gtk-web-process-extensions/>
this blog post for further information on these extensions.

*lariza* comes with the following extensions:

*we_adblock.so*
	Generic adblock. Reads patterns from the file _~/.config/lariza/adblock_. Each
	line can contain a regular expression. These expressions match
	case-insensitive and partially, i.e.*\*foo.\** is the same as *.\*FOO.\** and
	you can use anchors like *^https?://...*. Please refer to
	https://developer.gnome.org/glib/stable/glib-regex-syntax.html the GLib
	reference for more details. Lines starting with "#" are ignored.

	Those bundled web extensions are automatically compiled when you run *make*
	and installed on *make install*. To use them, though, make sure to link them
	to the directory mentioned above.

# TRUSTED CERTIFICATES
By default, *lariza* trusts whatever CAs are trusted by WebKit. If you wish to
trust additional certificates, such as self-signed certificates, the first thing
you should do is try to add the appropriate CAs to your system-wide store.

If you wish to add simple exceptions, you can grab the certificate and store it
in the directory _~/.local/share/lariza/certs_. The filename must be equal to
the hostname:

	$ echo | openssl s_client -connect foo.de:443 | openssl x509 >foo.de

This tells *lariza* to trust the given certificate when connecting to host
*foo.de*.

Note: This is NOT equal to certificate pinning. WebKit ignores user-specified
certificates if the server's certificate can be validated by any system-wide CA.

# SEE ALSO
*lariza*(1), *lariza-config*(1)
