lariza(1)

# NAME
lariza - simple web browser

# SYNOPSIS
*lariza* - [-C] [_URI ..._]

# DESCRIPTION
*lariza* is a simple web browser using GTK+ 3, GLib and WebKit2GTK+.

# OPTIONS
In addition to the standard arguments of GTK+ 3, *lariza* knows about the
following options:

*-C*
	Disables cooperative instances.

After these options there can be any number of URIs specified to open.

# ENVIRONMENT
In addition to the standard variables of GTK+ 3, *lariza* knows about the
following environment variable:

*LARIZA_FIFO_SUFFIX*
	Cooperative instances are implemented using a named pipe in the file
	system. The name of this pipe usually is (at least on modern systems following
	XDG standards: /var/run/user/$UID/lariza.fifo-$LARIZA_FIFO_SUFFIX

	*$UID* is the id of your user. *$LARIZA_FIFO_SUFFIX* defaults to *main*. If you
	change this variable, you can launch several independent cooperative instances
	of *lariza*.

# FILES
XDG variables will be used to construct these paths.
*~/.config/lariza/lariza.ini*
	Configuration file. See *lariza-config*(5).

*~/.config/lariza/adblock*
	Adblock patterns. See *lariza-usage*(1).

*~/.local/share/lariza/certs*
	Directory where trusted certificates are stored. See *lariza-usage*(1).

~/.local/share/lariza/user-scripts
	Directory to store user-supplied JavaScript snippets. See *lariza-usage*(1).

~/.local/share/lariza/web_extensions
	Sets the directory where WebKit will look for web extensions. See
	*lariza-usage*(1).

~/.cache/lariza

~/.cache/webkitgtk

~/.local/share/webkitgtk
	WebKitGTK will dump its caches and local storage here. It is probably wise to
	clean those directories regularly or to mount them as *tmpfs*(5).

# LICENSE
*lariza* is released under the MIT license. See the accompanying LICENSE file.

# HISTORY
lariza was originally written by Peter Hofmann. The project was started in June
2014. This fork is maintained by Armaan Bhojwani.

# SEE ALSO
*lariza-usage*(1), *lariza-config*(5)
